Rygel.MediaRendererPlugin – librygel-renderer Reference Manual

# MediaRendererPlugin

## Object Hierarchy:

## Description:

public class MediaRendererPlugin : Plugin

This is the base class for every Rygel UPnP renderer plugin.

This class is useful when implementing Rygel renderer plugins.

Renderer plugins should also implement their own #RygelMediaPlayer and return an instance of it from their get_player() implementation.

Namespace: Rygel
Package: librygel-renderer

## Content:

### Properties:

- public unowned List<weak DLNAProfile> supported_profiles { construct set; get; }

### Creation methods:

- public MediaRendererPlugin (string name, string? title, string? description = null, PluginCapabilities capabilities = NONE)
  Create an instance of the plugin.

### Methods:

- public override void constructed ()
- public virtual MediaPlayer? get_player ()
- public override void apply_hacks (RootDevice device, string description_path) throws Error
- public string get_protocol_info ()

### Inherited Members:

All known members inherited from class Rygel.Plugin

- active
- capabilities
- default_icons
- desc_path
- description

- icon_infos
- name
- resource_infos
- title

- add_icon
- add_resource
- apply_hacks
- constructed

All known members inherited from class GUPnP.ResourceFactory

- get_default
- register_resource_proxy_type

- register_resource_type
- unregister_resource_proxy_type

- unregister_resource_type

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count